"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextAttributes = void 0;
const SVGInstance_js_1 = require("../../../browser/instance/SVGInstance.js");
class TextAttributes extends SVGInstance_js_1.SVGInstance {
    text(text) {
        if (typeof text === "string") {
            this.element.innerHTML = text;
            return this;
        }
        return this.element.innerHTML;
    }
    textAnchor(textAnchor) {
        if (typeof textAnchor === "undefined") {
            const textAnchor = this.attr("text-anchor");
            return typeof textAnchor === "string" ? textAnchor : null;
        }
        else if (typeof textAnchor === "string") {
            this.attr("text-anchor", textAnchor);
            return this;
        }
        return null;
    }
    dx(dx) {
        if (typeof dx === "string" || typeof dx === "number") {
            this.attr("dx", dx);
            return this;
        }
        return this.attr("dx");
    }
    dy(dy) {
        if (typeof dy === "string" || typeof dy === "number") {
            this.attr("dy", dy);
            return this;
        }
        return this.attr("dy");
    }
}
exports.TextAttributes = TextAttributes;
//# sourceMappingURL=text.js.map